#include <iostream>

using namespace std;

int main
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int a,b;
    int min=0,max=0;
    cin>>a>>b;
    for(int i=0;i<n;i++){
        cin>>b;
        if(b<min){
            min=b;
        }
           if(b>max){
            max=b;
        }
    }
    cout<<min*2+max<<;
}